Loading...
Searching...
No Matches
Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize > Class Template Reference
Functions » Function interface wrappers

Wrapper class for functions defined on a Grid. More...

`#include <dune/functions/gridfunctions/gridfunction.hh>`

Inheritance diagram for Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize >:

## Public Member Functions

template<class F, disableCopyMove< GridFunction, F > = 0>
| GridFunction (F &&f)
| Construct from function.
| GridFunction ()=default
Range | operator() (const Domain &x) const
| Evaluation of wrapped function.
const EntitySet & | entitySet () const
| Get associated EntitySet.

## Friends

DerivativeInterface | derivative (const GridFunction &t)
| Get derivative of wrapped function.
LocalFunctionInterface | localFunction (const GridFunction &t)
| Get local function of wrapped function.

## Detailed Description

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>
class Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize >

Wrapper class for functions defined on a Grid.

Being defined on a grid means in particular that you can evaluate the function in local coordinates of a given entities of the grid. The set of the entities this function is defined on is given by an EntitySet.

This models the Concept::GridFunction<Range(Domain), EntitySet, DerivativeTraits> concept.

## Constructor & Destructor Documentation

## GridFunction() [1/2]

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>
template<class F, disableCopyMove< GridFunction, F > = 0>

Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize >::GridFunction | ( | F && | f | ) |

inline

Construct from function.

Template Parameters

  F | Function type

Parameters

  f | Function of type F

Requirements:

- The passed function f must be a module of the GridFunction concept, see Concept::GridFunction.

## GridFunction() [2/2]

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>

Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize >::GridFunction | ( |  | ) |

default

## Member Function Documentation

## entitySet()

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>

const EntitySet & Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize >::entitySet | ( |  | ) | const

inline

Get associated EntitySet.

The EntitySet is a range of grid entities the associated LocalFunction can be bound to.

## operator()()

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>

Range Dune::Functions::GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize >::operator() | ( | const Domain & | x | ) | const

inline

Evaluation of wrapped function.

Evaluate the wrapped function in global coordinates x.

## Friends And Related Symbol Documentation

## derivative

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>

DerivativeInterface derivative | ( | const GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize > & | t | ) |

friend

Get derivative of wrapped function.

This is a free function that will be found by ADL.

The derivative is returned as GridFunction of a type specified in the GridFunctionTraits.

## localFunction

template<class Range, class Domain, class ES, template< class > class DerivativeTraits, size_t bufferSize>

LocalFunctionInterface localFunction | ( | const GridFunction< Range(Domain), ES, DerivativeTraits, bufferSize > & | t | ) |

friend

Get local function of wrapped function.

This is a free function, to be found by ADL.

Notice that the returned LocalFunction can only be used after it has been bound to a proper local context.

The documentation for this class was generated from the following file:

- gridfunction.hh